%define upstream_name    Throwable
%define upstream_version 0.200013

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    An easy-to-use class for error objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Throwable/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Devel::StackTrace) >= 1.320.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Runtime) >= 0.2.0
BuildRequires: perl(Moo) >= 1.0.1
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Quote)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(base)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}
Requires:   perl(Devel::StackTrace)
%description
Throwable is a role for classes that are meant to be thrown as exceptions
to standard program flow. It is very simple and does only two things: saves
any previous value for '$@' and calls 'die $self'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.200.13-5.mga8
+ Revision: 1497791
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.200.13-4.mga7
+ Revision: 1272298
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.200.13-3.mga6
+ Revision: 1035193
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.200.13-2.mga6
+ Revision: 968663
- Mageia 6 Mass Rebuild

* Tue Jul 14 2015 sander85 <sander85> 0.200.13-1.mga6
+ Revision: 854179
- update to 0.200013

* Sat Oct 18 2014 umeabot <umeabot> 0.200.11-5.mga5
+ Revision: 787994
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.200.11-4.mga5
+ Revision: 739439
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.200.11-3.mga5
+ Revision: 736105
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.200.11-2.mga5
+ Revision: 686679
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.200.11-1.mga5
+ Revision: 614974
- update to 0.200011

* Fri Mar 14 2014 jquelin <jquelin> 0.200.10-1.mga5
+ Revision: 603734
- update to 0.200010

* Mon Feb 10 2014 jquelin <jquelin> 0.200.9-1.mga5
+ Revision: 588642
- update to 0.200009

* Sat Oct 19 2013 umeabot <umeabot> 0.200.8-2.mga4
+ Revision: 527302
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.200.8-1.mga4
+ Revision: 439880
- update to 0.200008

* Sun Jan 13 2013 umeabot <umeabot> 0.200.3-2.mga3
+ Revision: 374276
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.200.3-1.mga3
+ Revision: 315914
- update to 0.200003

* Fri Jan 21 2011 jquelin <jquelin> 0.102.80-1.mga1
+ Revision: 28863
- mageia rebuild
- imported package perl-Throwable

